LANG=C and remove debug mode

pull/39/head
Botspot 5 years ago
parent 707aad31d1
commit 1eb1e5cccd

@ -37,7 +37,7 @@ if [ ! -z $exitcode ];then
exit 1
fi
output="$(sudo apt update 2>&1)"
output="$(sudo LANG=C apt update 2>&1)"
exitcode=$?
#inform user packages are upgradeable
@ -56,7 +56,7 @@ fi
#remove residual packages
sudo apt autoremove -y && sudo apt clean && sudo apt-get purge -y $(dpkg -l | grep '^rc' | awk '{print $2}')
output="$(sudo apt-get install --no-install-recommends --dry-run $PKG_LIST 2>&1)"
output="$(sudo LANG=C apt-get install --no-install-recommends --dry-run $PKG_LIST 2>&1)"
echo "output: $output"
errors="$(echo "$output" | grep '^[(W)|(E)|(Err]:')"
@ -76,15 +76,9 @@ if [ ! -z "$INSTALL_LIST" ];then
echo -e "These packages will be installed: \e[2m$INSTALL_LIST\e[22m"
if [ "$(cat "${DIRECTORY}/data/settings/Debug mode")" == 'Yes' ];then
#debug mode
output="$(sudo apt-get install -y --no-install-recommends $PKG_LIST 1>&2)"
exitcode=$?
else
#normal mode
output="$(sudo apt-get install -y --no-install-recommends $PKG_LIST 2>&1)"
exitcode=$?
fi
#normal mode
output="$(sudo LANG=C apt-get install -y --no-install-recommends $PKG_LIST 2>&1)"
exitcode=$?
echo 'Apt finished.'
errors="$(echo "$output" | grep '^[(W)|(E)|(Err]:')"
@ -102,7 +96,7 @@ if [ ! -z "$INSTALL_LIST" ];then
# INSTALL_LIST="${INSTALL_LIST} ${i}" #add package to install list
# fi
#done
INSTALL_LIST="$(sudo apt-get install --no-install-recommends --dry-run $PKG_LIST | sed -n '/The following packages/,/to remove/p' | sed -e '2,$!d' -e '$d' | tr -d '*' | tr '\n' ' ' | sed 's/The following.*//')"
INSTALL_LIST="$(sudo LANG=C apt-get install --no-install-recommends --dry-run $PKG_LIST | sed -n '/The following packages/,/to remove/p' | sed -e '2,$!d' -e '$d' | tr -d '*' | tr '\n' ' ' | sed 's/The following.*//')"
if [ ! -z $INSTALL_LIST ];then

@ -42,18 +42,13 @@ fi
#remove residual packages
sudo apt autoremove -y && sudo apt clean && sudo apt-get purge -y $(dpkg -l | grep '^rc' | awk '{print $2}')
PURGE_LIST="$(sudo apt-get purge --dry-run $PKG_LIST | sed -n '/The following packages will be REMOVED/,/to remove and/p' | sed -e '2,$!d' -e '$d' | tr -d '*' | tr '\n' ' ' | sed 's/The following.*//')"
PURGE_LIST="$(sudo LANG=C apt-get purge --dry-run $PKG_LIST | sed -n '/The following packages will be REMOVED/,/to remove and/p' | sed -e '2,$!d' -e '$d' | tr -d '*' | tr '\n' ' ' | sed 's/The following.*//')"
echo "These packages will be purged: $PURGE_LIST"
if [ "$(cat "${DIRECTORY}/data/settings/Debug mode")" == 'Yes' ];then
#debug mode
output="$(sudo apt purge -y $PKG_LIST 1>&2)"
exitcode=$?
else
#normal mode
output="$(sudo apt purge -y $PKG_LIST 2>&1)"
exitcode=$?
fi
#normal mode
output="$(sudo LANG=C apt purge -y $PKG_LIST 2>&1)"
exitcode=$?
errors="$(echo "$output" | grep '^[(W)|(E)|(Err]:')"
if [ $exitcode != 0 ] || [ ! -z "$errors" ];then
echo -e "\e[91mFailed to uninstall the packages!\e[39m"
@ -62,7 +57,7 @@ if [ $exitcode != 0 ] || [ ! -z "$errors" ];then
fi
#ensure all packages are really purged
PURGE_LIST="$(sudo apt-get purge --dry-run $PKG_LIST | sed -n '/The following packages/,/to remove/p' | sed -e '2,$!d' -e '$d' | tr -d '*' | tr '\n' ' ')"
PURGE_LIST="$(sudo LANG=C apt-get purge --dry-run $PKG_LIST | sed -n '/The following packages/,/to remove/p' | sed -e '2,$!d' -e '$d' | tr -d '*' | tr '\n' ' ')"
if [ ! -z "$PURGE_LIST" ];then
error "APT did not exit with an error, but these packages are still installed somehow: $PURGE_LIST"

Loading…
Cancel
Save